in scala.dbc.result
class Relation

abstract `class` Relation
  `extends` java.lang.Object
  `with` scala.Iterable[scala.dbc.result.Tuple]
  `with` scala.ScalaObject

  An ISO-9075:2003 (SQL) table. This is equivalent to a relation in the relational model.

Constructor Summary
| `def` this

Def Summary
| `def` elements : scala.Iterator[scala.dbc.result.Tuple] An iterator on the tuples of the relation. ### Caution A Relation only has one single iterator, due to limitations in DBMS. This means that if this method is called multiple times, all returned iterators will share the same state.
| `def` metadata : scala.List[scala.dbc.result.FieldMetadata] Metadata about all fields in a tuple of the relation.
| `def` metadataFor ( index : scala.Int ) : scala.Option[scala.dbc.result.FieldMetadata] Metadata about the field at the given index. If there is no such field `None` is returned instead.
| `def` metadataFor ( name : java.lang.String ) : scala.Option[scala.dbc.result.FieldMetadata] Metadata about the field with the given column name. If there is no such field, `None` is returned instead.
`protected` | `def` sqlMetadata : java.sql.ResultSetMetaData A JDBC metadata object attached to the relation.
`protected` | `def` sqlResult : java.sql.ResultSet A JDBC result containing this relation.
| `def` statement : scala.dbc.statement.Relation The statement that generated this relation.

Constructor Detail

`def` this

Def Detail

`def` elements : scala.Iterator[scala.dbc.result.Tuple]

  An iterator on the tuples of the relation.

  ### Caution

  A Relation only has one single iterator, due to limitations in DBMS. This means that if this method is called multiple times, all returned iterators will share the same state.

`def` metadata : scala.List[scala.dbc.result.FieldMetadata]

  Metadata about all fields in a tuple of the relation.

`def` metadataFor ( index : scala.Int ) : scala.Option[scala.dbc.result.FieldMetadata]

  Metadata about the field at the given index. If there is no such field `None` is returned instead.

`def` metadataFor ( name : java.lang.String ) : scala.Option[scala.dbc.result.FieldMetadata]

  Metadata about the field with the given column name. If there is no such field, `None` is returned instead.

protected `def` sqlMetadata : java.sql.ResultSetMetaData

  A JDBC metadata object attached to the relation.

protected `def` sqlResult : java.sql.ResultSet

  A JDBC result containing this relation.

`def` statement : scala.dbc.statement.Relation

  The statement that generated this relation.